/* Copyright 1999 Enhanced Software Technologies Inc.
 * Released for public use under a BSD-style Open Source License.
 * See LICENSE.ocotillo for more information.
 *
 * config.h -- configuration for the dserver. 
 *
 * RCS CHANGE LOG
 * Revision 1.1  2001/01/06 10:46:00  eric
 * Initial checkin of ocotillo.
 *
 * Revision 1.4  1999/09/28 17:13:19  eric
 * Changes needed for multiple tape servers
 *
 * Revision 1.3  1999/09/17 21:18:01  eric
 * u32_int fixed.
 *
 * Revision 1.2  1999/09/13 16:32:42  eric
 * Added Licensing Info.
 *
 * Revision 1.1  1999/08/27 22:54:41  eric
 * Initial checkin, w/MD5 stuff added.
 *
 *
 */


#ifndef CONFIG_H
#define CONFIG_H 1
/* we can listen to all ports, but the following is our biggie. */ 

#define BSERV_PORT 6664           /* port number that we listen on */
#define MAXSTRING 8192      /* the longest string we do.     */

/* For the encryption and authentication: */

#define E_KEYSIZE 16        /* 128 bits. */
#define A_KEYSIZE 128       /* 1024 bits. */
#define P_KEYSIZE 256       /* 2048 bits */ 

/* For the math: Note that these are used only in the 'C' implementation
   of these routines, the assembly language implementation has access to the
   carry bit and thus doesn't have to do this kind of masking. */
#define WORDSIZE 32
#define HALFWORD 16
#define HIGHMASK(x) (x>>16)
#define LOWMASK(x) (x&0xffff)

/* For the MD5 routines: */
#define HAVE_PROTOTYPES 1
#define HAVE_LIMITS_H 1
   /* if not, we have "strings.h" */
#define HAVE_STRING_H 1 

/* for the sequence: */
typedef unsigned int u32_bit; /* note -- on 64-bit this may need a short */
 /* on 64 bits may need different! */
#define U32_TO_STR "%u"      
#endif
